Google Earth 5.2 crashes immediatelly after launch

Bug #597710 reported by Linuxexperte on 2010-06-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
googleearth-package (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: googleearth-package

hi people,
today I installed the new Version of Google Earth 5.2 on my Ubuntu 10.04 amd64.
The installation ran save and quick as usual. But as I was asked to start Google Earth right after installation, it crashed without any note.
Then I uninstalled it again and reinstalled the previous version. Then I tried again and now I get this message:
see enclosed Crashreport.

It seems, that there is a problem with encoding. How can this be solved?? Because the previous version Google Earth 5.1 ran without any problem

greetings
Linuxexperte

Linuxexperte (andrea-koeth) wrote :
Download full text (4.1 KiB)

to add some further information:
I use Lucid Lynx amd64

my Graphic card is this one: 00:02.0 VGA compatible controller: Intel Corporation 82945G/GZ Integrated Graphics Controller (rev 02)

The I want to enclose the output of the crashlog of google earth to give you some further hint:

Major Version 5
Minor Version 2
Build Number 0001
Build Date Jun 10 2010
Build Time 16:15:55
OS Type 3
OS Major Version 2
OS Minor Version 6
OS Build Version 32
OS Patch Version 0
Crash Signal 6
Crash Time 1277297541
Up Time 1,37172

Stacktrace from glibc:
./libgoogleearth_free.so(+0xd030b)[0xf76d030b]
[0xf7729400]
/lib32/libc.so.6(abort+0x182)[0xf59f2d52]
/usr/lib32/dri/i915_dri.so(+0x237bf)[0xec9077bf]
/usr/lib32/dri/i915_dri.so(+0x50802)[0xec934802]
/usr/lib32/dri/i915_dri.so(+0x21ab9)[0xec905ab9]
/usr/lib32/mesa/libGL.so.1(+0x3d939)[0xf4d64939]
/usr/lib32/mesa/libGL.so.1(+0x1a18b)[0xf4d4118b]
/usr/lib32/mesa/libGL.so.1(+0x1576a)[0xf4d3c76a]
/usr/lib32/mesa/libGL.so.1(glXChooseVisual+0x36)[0xf4d3d566]
./librender.so(+0x4d673)[0xf4fc2673]
./librender.so(_ZN12RenderWidget4initEv+0x116)[0xf4fc3056]
./librender.so(_ZN12RenderWidgetC1EP7QWidgetPKc6QFlagsIN2Qt10WindowTypeEE+0x16c)[0xf4fc3eac]
./librender.so(_ZN5earth6render12RenderWindow12createWidgetEv+0x82)[0xf4fa6432]
./libgoogleearth_free.so(_ZN5earth6client12ModuleWidget9showEventEP10QShowEvent+0x94)[0xf76ad2d4]
./libQtGui.so.4(_ZN7QWidget5eventEP6QEvent+0xabb)[0xf6b6b7ef]
./libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0xa0)[0xf6b1be20]
./libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0x16f)[0xf6b258a3]
./libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x70)[0xf739dd50]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0xcc)[0xf6b6e55c]
./libQtGui.so.4(_ZN14QWidgetPrivate14show_recursiveEv+0x74)[0xf6b6e264]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+0x1f2)[0xf6b6e482]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0x45)[0xf6b6e4d5]
./libQtGui.so.4(_ZN7QWidget10setVisibleEb+0x33b)[0xf6b6ea97]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+0x1d9)[0xf6b6e469]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0x45)[0xf6b6e4d5]
./libQtGui.so.4(_ZN14QWidgetPrivate14show_recursiveEv+0x74)[0xf6b6e264]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+0x1f2)[0xf6b6e482]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0x45)[0xf6b6e4d5]
./libQtGui.so.4(_ZN7QWidget10setVisibleEb+0x33b)[0xf6b6ea97]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+0x1d9)[0xf6b6e469]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0x45)[0xf6b6e4d5]
./libQtGui.so.4(_ZN14QWidgetPrivate14show_recursiveEv+0x74)[0xf6b6e264]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+0x1f2)[0xf6b6e482]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0x45)[0xf6b6e4d5]
./libQtGui.so.4(_ZN7QWidget10setVisibleEb+0x33b)[0xf6b6ea97]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+0x1d9)[0xf6b6e469]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0x45)[0xf6b6e4d5]
./libQtGui.so.4(_ZN7QWidget10setVisibleEb+0x33b)[0xf6b6ea97]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+0x1d9)[0xf6b6e469]
./libQt...

Read more...

Dustin Kirkland  (kirkland) wrote :

Confirmed. I have the same behavior or amd64 10.10 Maverick.

Changed in googleearth-package (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium

Hi together,

solution found. Look here:
http://www.linux-forum.de/wiki/index.php/Google_Earth_in_Ubuntu_installieren

The simple thing is, that an important lib is missing inside the package.
But if you follow this instruction, everything will run well again and as
fast as
you are used to.

So enjoy flying around the globe again with this instruction.

Greetings
Linuxexperte

Am 12.09.2010, 07:11 Uhr, schrieb Dustin Kirkland
<email address hidden>:

> Confirmed. I have the same behavior or amd64 10.10 Maverick.
>
> ** Changed in: googleearth-package (Ubuntu)
> Status: New => Confirmed
>
> ** Changed in: googleearth-package (Ubuntu)
> Importance: Undecided => Medium
>

--
Erstellt mit Operas revolutionärem E-Mail-Modul: http://www.opera.com/mail/

Adnan Hodzic (fooctrl) wrote :

Could you please try latest 0.6.1 googleearth-package I backported for Ubuntu 10.04
https://launchpad.net/~absinthesyringe/+archive/googleearth-package

Linuxexperte (andrea-koeth) wrote :

Hi Adnan,
could you please make a package for Maverick, so that I could test it?? I am running LinuxMint 10, which is based on ubuntu Maverick Meerkat.

Thank you in advance.

After your package for maverick is set up, I will test it for you and give review.

Greetings
Linuxexperte

Adnan Hodzic (fooctrl) wrote :

Hey, this backport works on Ubuntu 10.04 and up. It works just fine on on Maverick as well: http://foolcontrol.org/img/googleearth-package%200.6.1%20maverick.jpg

Try it out :)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers